//
//  ImageCollectCell.h
//  MeykiEFarm
//
//  Created by meyki on 1/3/17.
//  Copyright © 2017 邓龙. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AttrValueModel.h"
#import "NormEditController.h"
typedef void(^UpdataImageBlock)();
@interface ImageCollectCell : UICollectionViewCell

@property (weak, nonatomic) IBOutlet UIButton *topButton;
@property (weak, nonatomic) IBOutlet UITextField *editFiled;
@property (weak, nonatomic) IBOutlet UIButton *deleteButton;
@property (weak, nonatomic) IBOutlet UIImageView *imgView;
@property (nonatomic, copy) UpdataImageBlock myBlock;


@property (nonatomic,strong) AttrValueModel *model;
@property (nonatomic,strong) NormEditController *vc;

- (void)setImageCollectCellData:(AttrValueModel *)model firstRow:(BOOL)isFirst vc:(NormEditController *)vc;
- (void)refreshDataAction:(UpdataImageBlock)block;
- (void)setPlaceholderAction:(NSString *)name;

@end
