//
//  ImageCollectCell.m
//  MeykiEFarm
//
//  Created by meyki on 1/3/17.
//  Copyright © 2017 邓龙. All rights reserved.
//

#import "ImageCollectCell.h"
@interface ImageCollectCell ()

@end
@implementation ImageCollectCell

- (void)refreshDataAction:(UpdataImageBlock)block{
    self.myBlock = block;
    
}

- (void)awakeFromNib {
    [super awakeFromNib];

    self.contentView.backgroundColor = [UIColor whiteColor];
    
    self.topButton.layer.cornerRadius = 4;
    self.topButton.layer.borderColor = [UIColor_HEX colorWithHexString:@"CCCCCC"].CGColor;
    self.topButton.layer.borderWidth = 0.5;
    
    self.editFiled.layer.cornerRadius = 4;
    self.editFiled.layer.borderColor = [UIColor_HEX colorWithHexString:@"CCCCCC"].CGColor;
    self.editFiled.layer.borderWidth = 0.5;
}

- (void)setPlaceholderAction:(NSString *)name {
    self.editFiled.placeholder = [NSString stringWithFormat:@"自定义%@", name];;
}

- (void)setImageCollectCellData:(AttrValueModel *)model firstRow:(BOOL)isFirst vc:(NormEditController *)vc{
    self.model = model;
    self.vc = vc;
    [self.imgView sd_setImageWithURL:[NSURL URLWithString:model.imageUrl]placeholderImage:[UIImage imageNamed:@"添加图片"]];
    self.topButton.selected = model.isSelect;
    if (model.isSelect == YES) {
        self.topButton.layer.borderColor = [UIColor_HEX colorWithHexString:@"ff6600"].CGColor;
    }
    else
    {
        self.topButton.layer.borderColor = [UIColor_HEX colorWithHexString:@"CCCCCC"].CGColor;
    }
    if (model.isNew ==  YES) {
        [self.topButton setTitle:@"" forState:UIControlStateNormal];
        self.editFiled.hidden = NO;
        self.editFiled.text = model.attrValueName;
        if (isFirst == YES) {
            self.deleteButton.hidden = YES;
            self.editFiled.text = @"";
            self.editFiled.layer.borderColor = [UIColor_HEX colorWithHexString:@"CCCCCC"].CGColor;
        }
        else
        {
            self.deleteButton.hidden = NO;
            self.editFiled.layer.borderColor = [UIColor_HEX colorWithHexString:@"ff6600"].CGColor;
        }
        self.topButton.hidden = YES;
    }
    else
    {
        self.topButton.hidden = NO;
        self.topButton.enabled = YES;
        self.editFiled.hidden = YES;
        self.deleteButton.hidden = YES;
        [self.topButton setTitle:model.attrValueName forState:UIControlStateNormal];
    }
}

@end
