//
//  NormCollectCell.m
//  MeykiEFarm
//
//  Created by meyki on 1/3/17.
//  Copyright © 2017 邓龙. All rights reserved.
//

#import "NormCollectCell.h"
#import "AttrValueModel.h"
#import "Headers.h"

@interface NormCollectCell()
@property (weak, nonatomic) UILabel *line;
@end
@implementation NormCollectCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    UILabel *line = [[UILabel alloc] initWithFrame:CGRectMake(12, 0, viewWidth - 24, 0.5)];
    line.backgroundColor = [UIColor_HEX colorWithHexString:@"#cccccc"];
    self.line = line;
    [self addSubview:line];
    self.nameLabel.textColor = [UIColor_HEX colorWithHexString:@"#333333"];
    self.priceLab.backgroundColor = [UIColor_HEX colorWithHexString:@"#eeeeee"];
    self.priceLab.layer.cornerRadius = 2;
    self.sumLab.backgroundColor = [UIColor_HEX colorWithHexString:@"#eeeeee"];
    self.sumLab.layer.cornerRadius = 2;
    self.contentView.backgroundColor = [UIColor whiteColor];
}

- (void)setNameLabelAction:(NSArray *)arrList {
    
        NSString *str = @"";
        for (AttrValueModel *s in arrList) {
        
            str = [NSString stringWithFormat:@"%@+%@",str,s.attrValueName];
        }
    
    NSMutableString *a = [[NSMutableString  alloc] initWithString:str];
    [a replaceCharactersInRange:NSMakeRange(0, 1) withString:@""];
    
    self.nameLabel.text = a;
}

@end
