//
//  NormalCollectCell.m
//  MeykiEFarm
//
//  Created by meyki on 1/3/17.
//  Copyright © 2017 邓龙. All rights reserved.
//

#import "NormalCollectCell.h"
#import "Headers.h"

@implementation NormalCollectCell

- (void)awakeFromNib {
    [super awakeFromNib];
    
    self.contentView.backgroundColor = [UIColor whiteColor];
    self.selectBtn.layer.cornerRadius = 4;
    self.selectBtn.layer.borderColor = [UIColor_HEX colorWithHexString:@"999999"].CGColor;
    self.selectBtn.layer.borderWidth = 0.5;
    
    self.normailText.layer.cornerRadius = 4;
    self.normailText.layer.borderColor = [UIColor_HEX colorWithHexString:@"999999"].CGColor;
    self.normailText.layer.borderWidth = 0.5;
}

- (void)setPlaceholderAction:(NSString *)name {
    self.normailText.placeholder = [NSString stringWithFormat:@"自定义%@", name];
}

- (void)setNormCollectCellData:(AttrValueModel *)model firstRow:(BOOL)isFirst {
    
    self.selectBtn.selected = model.isSelect;
    if (model.isSelect == YES) {
        self.selectBtn.layer.borderColor = [UIColor_HEX colorWithHexString:@"ff6600"].CGColor;
    }
    else
    {
        self.selectBtn.layer.borderColor = [UIColor_HEX colorWithHexString:@"CCCCCC"].CGColor;
    }
    if (model.isNew == YES) {
        [self.selectBtn setTitle:@"" forState:UIControlStateNormal];
        self.normailText.hidden = NO;
        self.normailText.text = model.attrValueName;
        if (isFirst == YES) {
            self.normailText.text = @"";
            self.normalDelete.hidden = YES;
            self.selectBtn.selected = NO;
            self.normailText.layer.borderColor = [UIColor_HEX colorWithHexString:@"CCCCCC"].CGColor;
        }
        else
        {
            self.normalDelete.hidden = NO;
            self.normailText.layer.borderColor = [UIColor_HEX colorWithHexString:@"ff6600"].CGColor;
        }
        self.selectBtn.enabled = NO;
        self.selectBtn.hidden = YES;
    }
    else
    {
        self.selectBtn.hidden = NO;
        self.selectBtn.enabled = YES;
        self.normailText.hidden = YES;
        self.normalDelete.hidden = YES;
        [self.selectBtn setTitle:model.attrValueName forState:UIControlStateNormal];
    }

}

@end
