//
//  TitleCollectCell.m
//  MeykiEFarm
//
//  Created by meyki on 1/4/17.
//  Copyright © 2017 邓龙. All rights reserved.
//

#import "TitleCollectCell.h"
#import "Headers.h"

@interface TitleCollectCell()
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
@end

@implementation TitleCollectCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    self.backgroundColor = [UIColor whiteColor];
    self.LView.backgroundColor = [UIColor_HEX colorWithHexString:@"#efefef"];
}

- (void)setTitleLabelAction:(NSString *)title {
    self.titleLabel.text = title;
    self.titleLabel.hidden = NO;
    self.unfoldButton.hidden = YES;
    self.LView.hidden = NO;
    

}

- (void)showUnfoldBtnAction {
    self.titleLabel.hidden = YES;
    self.unfoldButton.hidden = NO;
    self.LView.hidden = YES;;
    
}

@end
