//
//  ViewController.m
//  Norm_demo
//
//  Created by meyki on 1/5/17.
//  Copyright © 2017 邓龙. All rights reserved.
//

#import "ViewController.h"
#import "NormEditController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIButton *button = [[UIButton alloc] init];
    button.backgroundColor = [UIColor greenColor];
    [button setTitle:@"选择商品规格" forState:UIControlStateNormal];
    [self.view addSubview:button];
    
    [button addTarget:self action:@selector(buttonClickAction) forControlEvents:UIControlEventTouchUpInside];
    
    [button mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.view).with.offset(100);
        make.left.equalTo(self.view).with.offset(50);
        make.height.equalTo(@50);
        make.width.equalTo(@150);
    }];
}

- (void)buttonClickAction {
    NormEditController *normEdit = [NormEditController sharedManager];
    UINavigationController *navigation = [[UINavigationController alloc] initWithRootViewController:normEdit];
    [self presentViewController:navigation animated:YES completion:nil];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
